from AccessControl import ModuleSecurityInfo
from Globals import InitializeClass
from Products.CMFCore.DirectoryView import registerDirectory
import Products.CMFCore.utils
# To force the registration of indexable attributes:
from Products.plonelucenecatalog.lib.objectregistry import ExtensibleIndexableObjectWrapper
from Products.GenericSetup import profile_registry
from Products.GenericSetup import EXTENSION

from Products.CMFPlone.interfaces import IPloneSiteRoot

try:
    from Products import nuxLucene
except ImportError:
    pass

ADD_CONTENT_PREMISSIONS = 'Manage Portal'
lang_globals = globals()
#registerDirectory('skins', lang_globals)

PKG_NAME = "plonelucenecatalog"

from catalog import PloneLuceneCatalog 
from navigation_catalog import NavigationCatalog

tools = ( PloneLuceneCatalog, ) 

def initialize(context): 
    Products.CMFCore.utils.ToolInit('plonelucenecatalog', tools=tools, 
                       product_name=PKG_NAME, icon='tool.gif',  
                       ).initialize(context) 

    Products.CMFCore.utils.ToolInit('navigation_catalog',
             		tools = (NavigationCatalog, ),
             		product_name=PKG_NAME, icon='tool.gif',
             		).initialize(context)


    try:
        profile_registry.registerProfile(
            'plonelucenecatalog',
            'Plone Lucene Catalog',
            "Lucene based catalog for Plone",
            'profiles/default',
            'plonelucenecatalog',
            EXTENSION,
            for_=IPloneSiteRoot
            )
    except KeyError:
        # Allow the use of refresh
        # Already registred
        pass

types_globals=globals()
