from Products.CMFPlone import CatalogTool as base
from Products.ZCatalog.ZCatalog import ZCatalog
from AccessControl import ClassSecurityInfo
from Globals import InitializeClass
from Globals import DTMLFile


class NavigationCatalog(base.CatalogTool):

    meta_type = "NavigationCatalog"
    id = 'navigation_catalog' 
    security = ClassSecurityInfo()
    toolicon = 'skins/plone_images/book_icon.gif'

    manage_catalogAdvanced = DTMLFile('zmi/catalogAdvanced', globals())

    def __init__(self):
        ZCatalog.__init__(self, self.getId())


InitializeClass(NavigationCatalog)
