from Products.ATContentTypes.content.topic import ATTopic
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone.CatalogTool import CatalogTool
from Products.ATContentTypes.criteria import _criterionRegistry

def criteriaByIndexId(self, indexId):
    """ patch to allow it with plonelucenecatalog """
    catalog_tool = getToolByName(self, CatalogTool.id)
    if catalog_tool.meta_type == 'PloneLuceneCatalog':
        for x in catalog_tool.getFieldConfs():
            if x.get('name','') == indexId:
                meta_type = "%sIndex" %(x.get('type'))
        results = _criterionRegistry.criteriaByIndex(meta_type)
    else:
        indexObj = catalog_tool.Indexes[indexId]
        results = _criterionRegistry.criteriaByIndex(indexObj.meta_type)
    return results

ATTopic.criteriaByIndexId = criteriaByIndexId
print 'Patch applied to ATTopic.criteriaByIndexId'
